Workspaces

GET /public/v1/workspaces/{workspaceId}/users

List all members of a workspace.

GET /public/v1/workspaces/{workspaceId}/users

GET /public/v1/workspaces/{workspaceId}/users

curl --request GET \
  --url 'https://api.joinvalley.co/public/v1/workspaces/{WORKSPACEID}/users' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "statusCode": 1,
  "status": true,
  "message": "<string>",
  "data": {
    "users": [
      {
        "id": "<string>",
        "email": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "image": "<string>",
        "role": "<string>",
        "joined_at": "<string>"
      }
    ],
    "pagination": {
      "limit": 1,
      "offset": 1,
      "total": 1,
      "hasMore": true
    }
  }
}

Default Response

Authorizations

  • x-api-key string required header

    Your Valley API key.

Path Parameters

  • workspaceId string required

Response

application/json
  • statusCode number
  • status boolean
  • message string
  • data object
    + Show Child Attributes
    • users[] object array
      + Show Child Attributes
      • id string
      • email string
      • first_name string nullable
      • last_name string nullable
      • image string nullable
      • role string
      • joined_at string
    • pagination object
      + Show Child Attributes
      • limit number
      • offset number
      • total number
      • hasMore boolean